<template>
  <div class="basic-info">
    <el-form
      :model="ruleForm"
      label-position="top"
      label-width="150px"
      class="rule-form-orange"
    >
      <el-form-item label="供应商企业公司名称">
        <el-input v-model="ruleForm.corporateName" placeholder="请输入主企业公司名称" readonly />
      </el-form-item>
    </el-form>
  </div>
</template>

<script>
export default {
  props: {
    baseInfo: {
      type: Object,
      default: () => {}
    }
  },
  data() {
    return {
      ruleForm: {
        corporateName: ''
      }
    }
  },
  watch: {
    baseInfo: {
      handler(newV) {
        if (newV && Object.keys(newV)) {
          const { corporateName } = JSON.parse(JSON.stringify(newV))
          this.ruleForm = {
            corporateName
          }
        }
      },
      immediate: true,
      deep: true
    }
  }
}
</script>

<style lang="scss" scoped>
.basic-info {
padding: 0 20px 10px;
}

</style>
